Subject: bug#65005: closed (Re: bug#65005: server hangs forever if not properly initialized)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 Oct 2023 20:09:02 +0000

Your bug report

#65005: server hangs forever if not properly initialized

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65005: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65005
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65005: server hangs forever if not properly initialized
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], "Brent B. Powers" <[email-masked]>
Date: Mon, 23 Oct 2023 13:07:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> The problem is that the directory specified in XDG_RUNTIME_DIR existed, but with no emacs
>> subdirectory. I do believe that emacs ought simply create the directory
>
> It already does, so I cannot reproduce the problem you see.
>
> In which version of Emacs did you see this?  Your report doesn't
> include the details of your build.

More information was requested, but none was given within 12 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: server hangs forever if not properly initialized
From: "Brent B. Powers" <[email-masked]>
To: [email-masked]
Date: Tue, 1 Aug 2023 18:24:35 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

server-start fails to start, with the message:

apply: Cannot bind server socket: No such file or directory

To reproduce:

1. Kill any existing emacs-server
2. Rename or delete $XDG_RUNTIME_DIR/emacs
3. Execute server-start

The problem is that the directory specified in XDG_RUNTIME_DIR existed, but
with no emacs subdirectory. I do believe that emacs ought simply create the
directory